List observed packages

GET
/v1/{namespace}/observations

Packages that passed through the firewalls in a period, with a summary of their known vulnerabilities.

Authorization

headerAuthorizationBearer <token>

A personal or service access token, sent as Authorization: Bearer <token>. See access tokens.

Path Parameters

namespace*string

The namespace id.

Query Parameters

period?string

The period to report on.

Default"today"
Value in"today""7d""30d""90d"
firewall?string

Only packages seen by this firewall.

ecosystem?string

Only packages from this ecosystem.

search?string

Only packages whose name contains this text.

pageSize?integer

Page size.

Range1 <= value <= 500
Default50
pageToken?string

The nextPageToken of the previous page.

Response Body

A page of observed packages.

application/json
  1. response

A page of observed packages.

observations*array<>

The observed packages.

nextPageToken*string

Pass as pageToken to read the next page. Empty when there are no more.

total*integer

How many observed packages match the filters, across all pages.

ecosystems*array<string>

The ecosystems with observations under the other filters, for choosing an ecosystem filter.

curl -X GET 'https://eu-sov-1.bytesafecloud.eu/v1/my-namespace-id/observations'
{  "observations": [    {      "firewall": "npm-main",      "ecosystem": "npm",      "packageName": "lodash",      "version": "4.17.20",      "internal": false,      "firstSeen": "2026-02-24T09:30:00Z",      "lastSeen": "2026-03-02T09:30:00Z",      "count": 214,      "vulnerabilities": {        "noRisk": 0,        "unknown": 0,        "low": 0,        "moderate": 1,        "high": 1,        "critical": 0,        "total": 2      }    }  ],  "nextPageToken": "",  "total": 1,  "ecosystems": [    "npm"  ]}